Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::next_fn Struct Reference
Iterator

## Public Member Functions
template<typename I > requires input_or_output_iterator<I>
constexpr I | operator() (I it) const
template<typename I > requires input_or_output_iterator<I>
constexpr I | operator() (I it, iter_difference_t< I > n) const
template<typename I , typename S > requires sentinel_for<S, I>
constexpr I | operator() (I it, iter_difference_t< I > n, S bound) const
template<typename I , typename S > requires sentinel_for<S, I>
constexpr I | operator() (I it, S s) const